# class TCAPUser | Abstract SS7 TCAP user interface. More...
Full name | `TelEngine::TCAPUser`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SignallingComponent [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- TCAPUser (const char* name, const NamedList* params = 0)
- virtual ~TCAPUser ()
- virtual void attach (SS7TCAP* tcap)
- virtual bool tcapIndication (NamedList& params)
- inline SS7TCAP* tcap () const
- virtual bool managementNotify (SCCP::Type type, NamedList& params)
- virtual int managementState ()
- virtual void destroyed ()

#### Protected Methods

- inline void setTCAP (SS7TCAP* tcap)

## Detailed Description

An interface to a SS7 Transactional Capabilities Application Part user

TCAPUser (const char* name, const NamedList* params = 0) | ### TCAPUser

~TCAPUser () | ### ~TCAPUser

[virtual]

Destructor, detaches from the TCAP implementation

void attach (SS7TCAP* tcap) | ### attach

[virtual]

Attach as user to a SS7 TCAP

Parameters:

tcap | Pointer to the TCAP to use

bool tcapIndication (NamedList& params) | ### tcapIndication

[virtual]

Receive a TCAP message from TCAP layer

Parameters:

params | The message in NamedList form

Returns: True or false if the message was processed by this user

inline SS7TCAP* tcap () | ### tcap

[const]

Retrieve the TCAP to which this user is attached

Returns: Pointer to a SS7 TCAP interface or NULL

bool managementNotify (SCCP::Type type, NamedList& params) | ### managementNotify

[virtual]

Received a management notification from SCCP layer

Parameters:

type | SCCP management notification type
params | Management notification params

Returns: True or false if the notification was handled bu this user

int managementState () | ### managementState

[virtual]

Get TCAP user management state

Returns: The state of the user

void destroyed () | ### destroyed

[virtual]

This method is called to clean up and destroy the object after the reference counter becomes zero

Reimplemented from SignallingComponent.

inline void setTCAP (SS7TCAP* tcap) | ### setTCAP

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.